.progress-bar {
    display: flex;
    justify-content: space-between;
    padding-top: 15px;
    // padding: 0 400px;
    background-color: #fafafa;

    // todo: find better way.
    max-width: 870px;
    margin: 0 auto !important;
    margin-top: 10px !important;

    .form-step {
      width: 100%;
      position: relative;
      &.incomplete {
        .progress-bar__container::after {
          background: #7b7b7b !important;
        }
        a {
          color: #a8a8a8;
        }
      }
      a {
        display: inline-block;
        margin-top: 1rem;
        color: rgb(45, 45, 45);
        font-size: 1rem;
      }
      &:last-child .progress-bar__container::after {
        // the very last dot in the progress bar is up too high for some reason.
        top: -7px;
      }
      .progress-bar__container {
        position: relative;
        left: 50%;
        height: 0px;
        overflow: visible;
        $width: 30px;
        .mat-progress-bar {
          height: 0.5rem;
          top: 0.25rem;
        }

        &::after {
          content: "";
          display: block;
          position: relative;
          left: -$width / 2;
          width: $width;
          height: $width;
          background: #2f6e64;
          top: -$width / 2;
          border-radius: $width / 2;
          z-index: 2;
          border: 5px solid #fafafa;
        }
        .mat-progress-bar-fill::after {
          background-color: #2f6e64;
        }
        .mat-progress-bar-buffer {
          background-color: #e9e9e9;
        }
      }
    }
  }
  qtb-progress-bar {
    .mat-toolbar {
      background: none;
    }
  }